Subject: Re: order #493371 change
From: "Mike" <[email-masked]>
To: "Michael Grove" <[email-masked]>
Date: Tue, 19 Aug 2008 08:37:38 -0400

I got an error when trying to remove the payment.
  ----- Original Message ----- 
  From: Michael Grove 
  To: Mike 
  Sent: Monday, August 18, 2008 10:07 PM
  Subject: Re: order #493371 change

  This one could be removed already (since it has no transaction type).  I have also added a feature where an admin can remove "Check by Phone" payments.  When this option is used it will also add company and order notes indicating that the customer had a returned check.

  I will start thinking about the possibility of tacking on an NSF fee.  Something like that will take a few modifications to how the order total is calculated and a modification to the database.  It should not be too much of a problem.

  I have left this order for you to clear.

  Mike

  Mike wrote: 
    Mike,
    We had another order (#493371) where the check was returned by the bank.  We need the payment cleared so we can re-bill them in full.  Do you think we can build something that addresses these scenarios?  I was thinking something simple.  Maybe we could even have it add (as a line item) an NSF fee automatically.  Our bank usually charges us at least $10 per return.  Let me know your thoughts on this.
    Thank you,
    Michael Bishop
    Labor Law Poster Service
    Phone 877-321-4144
    Fax 888-442-4144
    [email-masked]